ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitro Lisnichenko" <dlysniche...@hortonworks.com>
Subject Re: Review Request 41138: While doing express upgrade multiple Clients and Services Failed to start
Date Tue, 15 Dec 2015 11:44:26 GMT


> On Dec. 9, 2015, 8:46 p.m., Alejandro Fernandez wrote:
> > ambari-server/src/main/resources/custom_actions/scripts/install_packages.py, line
193
> > <https://reviews.apache.org/r/41138/diff/1/?file=1157154#file1157154line193>
> >
> >     Swapan had introduced a fix to prevent circular symlinks. Granted, some of it
was reverted since it caused a regression, but I still think it's a good idea to have checks
in place to prevent circular symlinks.
> 
> Alejandro Fernandez wrote:
>     This introduced a regression in install_packages.py whenever performing an RU/EU
from say HDP 2.3.0.0 to 2.3.4.0. We need to be more diligent on testing and closing any code
review comments even after the review is submitted.
>     Thanks,
>     Alejandro

In current form (with skipping relinking symlinks when upgrading 2.3->2.3+), AMBARI-14293
is broken again. Does not look like Swapan's fix fixes that. I've tested my patch at something
like 2.3.2.x to 2.3.4.x, and it worked well


- Dmitro


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/41138/#review109580
-----------------------------------------------------------


On Dec. 9, 2015, 4:54 p.m., Dmitro Lisnichenko wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/41138/
> -----------------------------------------------------------
> 
> (Updated Dec. 9, 2015, 4:54 p.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Jonathan Hurley, Jayush Luniya, and Nate
Cole.
> 
> 
> Bugs: AMBARI-14293
>     https://issues.apache.org/jira/browse/AMBARI-14293
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> During nightly run over Centos7 express upgrade test cases failed because of TEZ Client
issue.
> 
> Restart of Tez Client failed after upgrade because of conf file missing.
> 
> After logging on box I found the soft links /etc/tez/conf & /usr/hdp/current/tez-client/conf
pointing in loop to each other.
> 
> [root@os-r7-test-2 tez-client]# ls -l /usr/hdp/2.3.4.0-3426/tez/conf
> lrwxrwxrwx. 1 root root 13 Dec  8 05:05 /usr/hdp/2.3.4.0-3426/tez/conf -> /etc/tez/conf
> [root@os-r7-test-2 tez-client]# ls -l /etc/tez/conf
> lrwxrwxrwx. 1 root root 32 Dec  8 02:23 /etc/tez/conf -> /usr/hdp/current/tez-client/conf
> [root@os-r7-test-2 tez-client]# ls -l /usr/hdp/current/tez-client/conf
> lrwxrwxrwx. 1 root root 13 Dec  8 05:05 /usr/hdp/current/tez-client/conf -> /etc/tez/conf
> [root@os-r7-test-2 tez-client]#
> 
> 
> Error on UI
> {code}
> Traceback (most recent call last):
> File "/var/lib/ambari-agent/cache/common-services/TEZ/0.4.0.2.1/package/scripts/tez_client.py",
line 104, in <module>
> TezClient().execute()
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 217, in execute
> method(env)
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 486, in restart
> self.pre_upgrade_restart(env, upgrade_type=upgrade_type)
> File "/var/lib/ambari-agent/cache/common-services/TEZ/0.4.0.2.1/package/scripts/tez_client.py",
line 59, in pre_upgrade_restart
> conf_select.select(params.stack_name, "tez", params.version)
> File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/conf_select.py",
line 247, in select
> shell.checked_call(get_cmd("set-conf-dir", package, version), logoutput=False, quiet=False,
sudo=True)
> File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 70, in
inner
> result = function(command, **kwargs)
> File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 92, in
checked_call
> tries=tries, try_sleep=try_sleep)
> File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 140,
in _call_wrapper
> result = _call(command, **kwargs_copy)
> File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 291,
in _call
> raise Fail(err_msg)
> resource_management.core.exceptions.Fail: Execution of 'conf-select set-conf-dir --package
tez --stack-version 2.3.4.0-3426 --conf-version 0' returned 1. /usr/hdp/2.3.4.0-3426/tez/conf
does not exist
> {code}
> 
> 
> Observed this issue for other components too AFTER 'Ignore and Proceed' the Tez client
error
> The error was seen for following components:
> Pig client, Hive server, Metastore, Hive client, Spark service, spark client. See attached
file for output
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/resources/custom_actions/scripts/install_packages.py 9b88931

> 
> Diff: https://reviews.apache.org/r/41138/diff/
> 
> 
> Testing
> -------
> 
> mvn clean test
> 
> 
> Thanks,
> 
> Dmitro Lisnichenko
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message